| DocBook: The Definitive Guide 2.0.17 (Alpha)

# set

$Revision$

$Date$

set — A collection of books

## Synopsis

### Content Model

    set ::=
    ((title,subtitle?,titleabbrev?)?,
     setinfo?,toc?,
     (set|book)+,
     setindex?)

### Attributes

Common attributes

Name | Type | Default
status | CDATA | None
fpi | CDATA | None

## Description

A `Set` is a collection of `Book`s. Placing multiple `Book`s in a `Set`, as opposed to publishing each of them separately, has the advantage that ID/IDREF links can then be used across all books.

`Set` is the very top of the DocBook structural hierarchy. There's nothing that contains a `Set`.

### Processing expectations

Formatted as a displayed block. A `Set` may generate additional front and back matter (tables of contents and `SetIndex`s, for example) around the `Book`s it contains.

### Children

The following elements occur in set: `book`, `set`, `setindex`, `setinfo`, `subtitle`, `title`, `titleabbrev`, `toc`.

## Attributes

fpi

  `FPI` holds the Formal Public Identifier for the `Set`.

status

  `Status` identifies the editorial or publication status of the `Set`.

  Publication status might be used to control formatting (for example, printing a “draft” watermark on drafts) or processing (perhaps a document with a status of “final” should not include any components that are not final).

## See Also

`appendix`, `article`, `book`, `chapter`, `colophon`, `dedication`, `part`, `partintro`, `preface`.

## Examples

    <!DOCTYPE set PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">

    <set><title>The Perl Series</title>
    <setinfo>
      <corpauthor>O'Reilly &amp; Associates, Inc.</corpauthor>
    </setinfo>

    <book><title>Learning Perl</title>
    <chapter><title>...</title><para>...</para></chapter>
    </book>

    <book><title>Programming Perl</title>
    <chapter><title>...</title><para>...</para></chapter>
    </book>

    <book><title>Advanced Perl Programming</title>
    <chapter><title>...</title><para>...</para></chapter>
    </book>

    </set>

seriesvolnums |  | setindex

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.